=== src/modules/dv/Makefile ===
include ../../../config.mak

TARGET = ../libmltdv$(LIBSUF)

OBJS = factory.o \
	   producer_libdv.o \
	   consumer_libdv.o

CFLAGS += -I../..
CFLAGS += `pkg-config --cflags libdv`

LDFLAGS += -L../../framework -lmlt -lpthread
LDFLAGS += `pkg-config --libs libdv`

SRCS := $(OBJS:.o=.c)

all: 	$(TARGET)

$(TARGET): $(OBJS)
		$(CC) $(SHFLAGS) -o $@ $(OBJS) $(LDFLAGS)

depend:	$(SRCS)
		$(CC) -MM $(CFLAGS) $^ 1>.depend

distclean:	clean
		rm -f .depend

clean:	
		rm -f $(OBJS) $(TARGET)

install: all
	install -m 755 $(TARGET) "$(DESTDIR)$(libdir)/mlt"

ifneq ($(wildcard .depend),)
include .depend
endif
