## mlt 0.5.4

=== debian/changelog ===
mlt (0.5.4-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 20 Apr 2010 19:50:04 +0200

mlt (0.5.2-1) unstable; urgency=low

  * New upstream release.
    - Remove merged 01-deinterlace-no-mmx-sse.diff patch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 11 Mar 2010 18:38:14 +0100

mlt (0.5.0-3) unstable; urgency=low

  * Replace last patch with 01-deinterlace-no-mmx-sse.diff from upstream.
    Closes: #570145

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Feb 2010 18:47:35 +0100

mlt (0.5.0-2) unstable; urgency=low

  * Fix FTBFS on all non-x86 architectures, because there was a hardcoded
    -DARCH_X86 CFLAG. Removed it in 01-dont_hardcode_x86.diff.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 Feb 2010 18:05:34 +0100

mlt (0.5.0-1) unstable; urgency=low

  * New upstream release.
    - Only enable the new sse2 feature on amd64 hosts.
  * Add patch from Benjamin Drung to determine the Python version on build
    time. Much thanks.
    Closes: #569640

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 16 Feb 2010 14:14:39 +0100

mlt (0.4.10-5) unstable; urgency=high

  * Bump Standards-Version to 3.8.4 (no changes needed).
  * Readd python-mlt2.install, it was still in trunk but was lost in the
    0.4.10-4 tag.. Bumping urgency to high.
    Closes: #568736
  * Drop debian/README.source.
  * Do not install mlt_wrap.so from the python bindings, it will produce
    errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Feb 2010 21:50:13 +0100

mlt (0.4.10-4) unstable; urgency=low

  * Add python-support support and thus byte-compile the Python files.
    Much thanks for the patch to Evengi Golov.
    Closes: #566043

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 23 Jan 2010 14:41:20 +0100

mlt (0.4.10-3) unstable; urgency=low

  * Add new python-mlt2 package, which contains the python bindings of mlt.
    Closes: #563240

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 02 Jan 2010 23:08:25 +0100

mlt (0.4.10-2) unstable; urgency=low

  * Build with new gcc 4.4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 12 Dec 2009 15:07:25 +0100

mlt (0.4.10-1) unstable; urgency=low

  * New upstream release.
    - Fixes FTBFS because of missing linking with libm.
      Closes: #560119

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 09 Dec 2009 08:59:26 +0100

mlt (0.4.8-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 08 Dec 2009 10:53:38 +0100

mlt (0.4.6+git20091124-1) unstable; urgency=low

  * New upstream git snapshot.
  * Recommend on the source:Version of libmlt-data.
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Nov 2009 19:08:47 +0100

mlt (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 07 Oct 2009 19:36:14 +0200

mlt (0.4.4+git20091004-1) unstable; urgency=low

  * New upstream git snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Oct 2009 10:19:43 +0200

mlt (0.4.4+git20090930-2) unstable; urgency=low

  * Add missing conflicts and replaces for smooth upgrades.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 01 Oct 2009 08:14:07 +0200

mlt (0.4.4+git20090930-1) unstable; urgency=low

  * New upstream git snapshot.
    - Drop all patches, they have been merged.
    - Drop quilt.
  * Bump SONAMES. Rename libmlt1 to libmlt2 and libmlt++2 to libmlt++3.
  * Drop inigo package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 30 Sep 2009 19:20:22 +0200

mlt (0.4.4-3) unstable; urgency=low

  * Add libmlt-dbg package, which contains the debugging symbols of libmlt1 and
    libmlt++2.
  * Bump Standards-Version to 3.8.3.
    - Add debian/README.source.
  * Add patch description to 02_fix_sox_14.3.0_build.diff. Thanks lintian.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Sep 2009 12:14:36 +0200

mlt (0.4.4-2) unstable; urgency=low

  * Add patches:
    - 01_improve_mlt_normalisation - stolen upstream.
    - 02_fix_sox_14.3.0_build - Fix build against sox 14.3.0. (Closes: #536671)

 -- Fathi Boudra <fabo@debian.org>  Mon, 13 Jul 2009 14:07:01 +0200

mlt (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 01 Jul 2009 21:33:59 +0200

mlt (0.4.2+git20090622-1) unstable; urgency=low

  * New git snapshot.
    - Drop merged patches 01_fix_man_whatis and 02_missing_math_ftbfs.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 22 Jun 2009 22:49:41 +0200

mlt (0.4.2+git20090618-2) unstable; urgency=low

  * Add 02_missing_math_ftbfs.diff patch, which fixes a FTBFS on some arches.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 13:06:18 +0200

mlt (0.4.2+git20090618-1) unstable; urgency=low

  * New git snapshot.
    - Drop merged 07_custom_ldflags.diff patch.
    - Drop merged 09_add_gcc4.3_support.diff patch.
    - Drop merged 01_remove_ldconfig.diff patch.
    - Drop merged 02_update_have_mmx.diff patch.
  * Add libmlt-data as dependency for melt, it can not play movies without the
    profiles.
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * Drop our melt manpage and install the new one from upstream.
    - Add 01_fix_man_whatis.diff which fixes the whatis entry.
  * Drop versioned build dependency on ffmpeg.
  * Extend a little bit the long-description of melt. Fixes lintian warning
    extended-description-is-probably-too-short.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 18 Jun 2009 09:41:39 +0200

mlt (0.4.2-2) unstable; urgency=low

  * Add frei0r-plugins-dev as build-dependency, so that the frei0r plugin can
    be built.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 11 Jun 2009 16:35:02 +0200

mlt (0.4.2-1) unstable; urgency=low

  * New upstream release.
    - inigo has been renamed to melt.
    - build and install mlt++ in mlt, they are not a separate source package
      anymore.

