## mlt 0.5.6+git20100727

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 		  src/mlt++ \
 		  src/melt \
 		  src/modules \
+		  src/swig \
 		  profiles
 
 all clean:
