=== src/framework/Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 
 CFLAGS += $(RDYNAMIC) -DPREFIX="\"$(prefix)\"" -DLIBDIR="\"$(libdir)\""
 
-LDFLAGS += -lm $(LIBDL) -lpthread
+LDFLAGS += $(LIBDL) -lpthread
 
 all:	$(TARGET)
