=== src/modules/core/Makefile ===
--- 
+++ 
@@ -1,3 +1,7 @@
+CFLAGS += -I../..
+
+LDFLAGS += -L../../framework -lmlt -lm -lpthread
+
 include ../../../config.mak
 
 TARGET = ../libmltcore$(LIBSUF)
@@ -9,6 +13,7 @@
 	   producer_loader.o \
 	   producer_noise.o \
 	   producer_ppm.o \
+	   filter_audioconvert.o \
 	   filter_brightness.o \
 	   filter_channelcopy.o \
 	   filter_crop.o \
@@ -16,6 +21,7 @@
 	   filter_data_show.o \
 	   filter_gamma.o \
 	   filter_greyscale.o \
+	   filter_imageconvert.o \
 	   filter_luma.o \
 	   filter_mirror.o \
 	   filter_mono.o \
@@ -32,10 +38,6 @@
 	   consumer_null.o
 
 ASM_OBJS = 
-
-CFLAGS += -I../..
-
-LDFLAGS += -L../../framework -lmlt -lm -lpthread
 
 SRCS := $(OBJS:.o=.c)
