=== debian/changelog ===
mlt (0.5.6+git20100727-1) unstable; urgency=low

  * New upstream git snapshot from 27.07.2010.
    - This snapshot fixes some memory leaks and corruptions and an infinite
      loop.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Aug 2010 20:55:50 +0200

mlt (0.5.6-1) unstable; urgency=low

  * New upstream release.
    - Add patch 01-in_out-points-region-transition.diff, which fixes a new
      regression in this release with kdenlive.
  * Add the swig mlt.i file to the libmlt++-dev package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Jun 2010 13:55:07 +0200

mlt (0.5.4+git20100601-1) unstable; urgency=high

  * New git snapshot.
  * Build against the new sox library, bumping urgency to high, because of a
    blocking transition.
    Closes: #583953

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 01 Jun 2010 20:18:36 +0200
