=== src/modules/core/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	   producer_noise.o \
 	   producer_ppm.o \
 	   filter_audioconvert.o \
+	   filter_audiowave.o \
 	   filter_brightness.o \
 	   filter_channelcopy.o \
 	   filter_crop.o \
@@ -26,6 +27,7 @@
 	   filter_mirror.o \
 	   filter_mono.o \
 	   filter_obscure.o \
+	   filter_panner.o \
 	   filter_region.o \
 	   filter_rescale.o \
 	   filter_resize.o \
