=== src/modules/gtk2/Makefile ===
--- 
+++ 
@@ -19,6 +19,11 @@
 OBJS += producer_pixbuf.o pixops.o filter_rescale.o
 CFLAGS += `pkg-config gdk-pixbuf-2.0 --cflags`
 LDFLAGS += `pkg-config gdk-pixbuf-2.0 --libs`
+endif
+
+ifdef USE_EXIF
+CFLAGS += $(EXIFCXXFLAGS) 
+LDFLAGS += $(EXIFLIBS)
 endif
 
 ifdef MMX_FLAGS
