=== debian/changelog ===
mlt (0.6.0-1) experimental; urgency=low

  * New upstream release.
  * Bump SONAME of libmlt from 2 to 3.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 02 Jan 2011 12:39:23 +0100

mlt (0.5.10-1) experimental; urgency=low

  * New upstream release.
    - Remove deprecated patch 01-in_out-points-region-transition.diff.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 18 Sep 2010 10:37:22 +0200
