=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,9 @@
 	find \( -name '*.o' -o -name '*.mak' -o -name '.depend' \) -delete
 
 override_dh_install:
-	mkdir -p debian/python-mlt2/$(PYTHON_DIR)
-	install -m 644 src/swig/python/mlt.py debian/python-mlt2/$(PYTHON_DIR)/mlt.py
-	install -m 644 src/swig/python/_mlt.so debian/python-mlt2/$(PYTHON_DIR)/_mlt.so
+	mkdir -p debian/python-mlt3/$(PYTHON_DIR)
+	install -m 644 src/swig/python/mlt.py debian/python-mlt3/$(PYTHON_DIR)/mlt.py
+	install -m 644 src/swig/python/_mlt.so debian/python-mlt3/$(PYTHON_DIR)/_mlt.so
 	dh_install --list-missing
 
 override_dh_strip:
